| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::RealGrammar< Iterator, Skipper > Struct Template Reference

`#include <src/JobOptionsSvc/Grammar.h>`

Inheritance diagram for Gaudi::Parsers::RealGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::RealGrammar< Iterator, Skipper >:
[legend]

## Public Types
typedef bool | ResultT
typedef RT | ResultT

## Public Member Functions
| RealGrammar ()
| RealGrammar ()

## Public Attributes
qi::rule< Iterator, Node(), Skipper > | real
IdentifierGrammar< Iterator, Skipper > | gunit
ph::function< NodeOperations > | op
qi::rule< Iterator, RT(), Skipper > | real

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::RealGrammar< Iterator, Skipper >

Definition at line 102 of file Grammar.h.

## Member Typedef Documentation

## ◆ ResultT [1/2]

template<typename Iterator, typename Skipper>

typedef bool Gaudi::Parsers::RealGrammar< Iterator, Skipper >::ResultT

Definition at line 104 of file Grammar.h.

## ◆ ResultT [2/2]

template<typename Iterator, typename Skipper>

typedef RT Gaudi::Parsers::RealGrammar< Iterator, Skipper >::ResultT

Definition at line 144 of file Grammars.h.

## Constructor & Destructor Documentation

## ◆ RealGrammar() [1/2]

template<typename Iterator, typename Skipper>

Gaudi::Parsers::RealGrammar< Iterator, Skipper >::RealGrammar | ( |  | ) |
| inline

Definition at line 106 of file Grammar.h.

106 : RealGrammar::base_type( real ) {
107 real = qi::raw[qi::double_][op( qi::_val, qi::_1 )][op( qi::_val, Node::kReal )] >> -qi::char_( 'L' ) >>
108 -( -qi::char_( '*' ) >> gunit[op( qi::_val, qi::_1 )] );
109 }
Gaudi::Parsers::RealGrammar::gunit
IdentifierGrammar< Iterator, Skipper > gunit
Definition: Grammar.h:112
Gaudi::Parsers::RealGrammar::real
qi::rule< Iterator, Node(), Skipper > real
Definition: Grammar.h:111
Gaudi::Parsers::Node::kReal
Definition: Node.h:42
Gaudi::Parsers::RealGrammar::op
ph::function< NodeOperations > op
Definition: Grammar.h:113

## ◆ RealGrammar() [2/2]

template<typename Iterator, typename Skipper>

Gaudi::Parsers::RealGrammar< Iterator, Skipper >::RealGrammar | ( |  | ) |
| inline

Definition at line 145 of file Grammars.h.

145 : RealGrammar::base_type( real ) { real = qi::real_parser<RT>(); }
Gaudi::Parsers::RealGrammar::real
qi::rule< Iterator, Node(), Skipper > real
Definition: Grammar.h:111

## Member Data Documentation

## ◆ gunit

template<typename Iterator, typename Skipper>

IdentifierGrammar<Iterator, Skipper> Gaudi::Parsers::RealGrammar< Iterator, Skipper >::gunit

Definition at line 112 of file Grammar.h.

## ◆ op

template<typename Iterator, typename Skipper>

ph::function<NodeOperations> Gaudi::Parsers::RealGrammar< Iterator, Skipper >::op

Definition at line 113 of file Grammar.h.

## ◆ real [1/2]

template<typename Iterator, typename Skipper>

qi::rule<Iterator, Node(), Skipper> Gaudi::Parsers::RealGrammar< Iterator, Skipper >::real

Definition at line 111 of file Grammar.h.

## ◆ real [2/2]

template<typename Iterator, typename Skipper>

qi::rule<Iterator, RT(), Skipper> Gaudi::Parsers::RealGrammar< Iterator, Skipper >::real

Definition at line 146 of file Grammars.h.

The documentation for this struct was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/Grammar.h
- GaudiKernel/Gaudi/Parsers/Grammars.h